import apiRequest from '@/network/http/apiRequest'

/**
 * 文件分类列表
 * @returns
 */
export function getDirByList() {
  return apiRequest({
    url: '/doc/dir/',
    method: 'GET',
  })
}

/**
 * 文件分类详情
 * @returns
 * @param dirId
 */
export function getDir(dirId: number) {
  return apiRequest({
    url: `/doc/dir/${dirId}`,
    method: 'GET',
  })
}

/**
 * 文件分类详情
 * @param data
 * @returns
 */
export function createDir(data: any) {
  return apiRequest({
    url: '/doc/dir/add',
    method: 'POST',
    data,
  })
}

/**
 * 文件分类详情
 * @param data
 * @returns
 */
export function updateDir(data: any) {
  return apiRequest({
    url: '/doc/dir/update',
    method: 'PUT',
    data,
  })
}

/**
 * 文件分类详情
 * @returns
 * @param dirId
 */
export function deleteDir(dirId: number) {
  return apiRequest({
    url: `/doc/dir/${dirId}`,
    method: 'DELETE',
  })
}

/**
 * 移动分类
 * @returns
 * @param dirId
 * @param type
 */
export function moveDir(dirId: number, type: number) {
  return apiRequest({
    url: `/doc/dir/${dirId}/${type}`,
    method: 'PUT',
  })
}

/**
 * 文件列表
 * @param data
 * @returns
 */
export function getFileByPage(data: any) {
  return apiRequest({
    url: '/doc/file/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 文件详情
 * @returns
 * @param fileId
 */
export function getFile(fileId: number) {
  return apiRequest({
    url: `/doc/file/${fileId}`,
    method: 'GET',
  })
}

/**
 * 文件详情
 * @param data
 * @returns
 */
export function createFile(data: any) {
  return apiRequest({
    url: '/doc/file/add',
    method: 'POST',
    data,
  })
}

/**
 * 文件详情
 * @param data
 * @returns
 */
export function updateFile(data: any) {
  return apiRequest({
    url: '/doc/file/update',
    method: 'PUT',
    data,
  })
}

/**
 * 文件详情
 * @returns
 * @param fileId
 */
export function deleteFile(fileId: number) {
  return apiRequest({
    url: `/doc/file/${fileId}`,
    method: 'DELETE',
  })
}
